Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.PagingSealSignature Class Reference
Inheritance diagram for foxit.pdf.PagingSealSignature:

## Public Types
enum | PagingSealAPState { PagingSealAPState.e_PagingSealAPStateUnknown = 0, PagingSealAPState.e_PagingSealAPStateUnsigned = 1, PagingSealAPState.e_PagingSealAPStateSigned = 2, PagingSealAPState.e_PagingSealAPStateValid = 3, PagingSealAPState.e_PagingSealAPStateInvalid = 4 }
| Enumeration for paging seal signature state to set appearance. More...
Public Types inherited from foxit.pdf.Signature
enum | APFlags { APFlags.e_APFlagFoxitFlag = 0x0001, APFlags.e_APFlagLabel = 0x0002, APFlags.e_APFlagReason = 0x0004, APFlags.e_APFlagSigningTime = 0x0008, APFlags.e_APFlagDN = 0x0010, APFlags.e_APFlagLocation = 0x0020, APFlags.e_APFlagSigner = 0x0040, APFlags.e_APFlagBitmap = 0x0080, APFlags.e_APFlagText = 0x0100, APFlags.e_APFlagFoxitEditorFlag = 0x0200, APFlags.e_APFlagProducer = 0x0400 }
| Enumeration for signature appearance flags. More...
enum | DigestAlgorithm { DigestAlgorithm.e_DigestSHA1 = 0, DigestAlgorithm.e_DigestSHA256 = 1, DigestAlgorithm.e_DigestSHA384 = 2, DigestAlgorithm.e_DigestSHA512 = 3 }
| Enumeration for signature digest algorithm. More...
enum | DocPermission { DocPermission.e_DocPermUnrestricted = 0, DocPermission.e_DocPermNoChangesAllowed = 1, DocPermission.e_DocPermFillingFormAndSigning = 2, DocPermission.e_DocPermFillingFormSigningAndAnnotating = 3 }
| Enumeration for signature document permission. More...
enum | FieldMDPAction { FieldMDPAction.e_FieldMDPActionNone = 0, FieldMDPAction.e_FieldMDPActionAll = 1, FieldMDPAction.e_FieldMDPActionInclude = 2, FieldMDPAction.e_FieldMDPActionExclude = 3 }
| Enumeration for signature FieldMDP("MDP" means modification detection and prevention) action type. More...
enum | KeyName { KeyName.e_KeyNameSigner = 0, KeyName.e_KeyNameLocation = 1, KeyName.e_KeyNameReason = 2, KeyName.e_KeyNameContactInfo = 3, KeyName.e_KeyNameDN = 4, KeyName.e_KeyNameText = 5, KeyName.e_KeyNameProducer = 6 }
| Enumeration for signature key name. More...
enum | LabelName { LabelName.e_LabelNameSigner = 0, LabelName.e_LabelNameLocation = 1, LabelName.e_LabelNameReason = 2, LabelName.e_LabelNameSignTime = 3, LabelName.e_LabelNameDN = 4, LabelName.e_LabelNameProducer = 6 }
| Enumeration for signature label name. More...
enum | PAdESLevel { PAdESLevel.e_PAdESLevelNotPAdES = 0, PAdESLevel.e_PAdESLevelNone = 1, PAdESLevel.e_PAdESLevelBB = 2, PAdESLevel.e_PAdESLevelBT = 3, PAdESLevel.e_PAdESLevelBLT = 4, PAdESLevel.e_PAdESLevelBLTA = 5 }
| Enumeration for PAdES level. More...
enum | SignatureType { SignatureType.e_SignatureTypeOrdinary = 0, SignatureType.e_SignatureTypeTimeStamp = 3, SignatureType.e_SignatureTypePagingSeal = 4 }
| Enumeration for signature type. More...
enum | States : uint { States.e_StateUnknown = 0x80000000, States.e_StateNoSignData = 0x00000200, States.e_StateUnsigned = 0x00000001, States.e_StateSigned = 0x00000002, States.e_StateVerifyValid = 0x00000004, States.e_StateVerifyInvalid = 0x00000008, States.e_StateVerifyErrorData = 0x00000010, States.e_StateVerifyNoSupportWay = 0x00000020, States.e_StateVerifyErrorByteRange = 0x00000040, States.e_StateVerifyChange = 0x00000080, States.e_StateVerifyIncredible = 0x00000100, States.e_StateVerifyNoChange = 0x00000400, States.e_StateVerifyIssueValid = 0x00001000, States.e_StateVerifyIssueUnknown = 0x00002000, States.e_StateVerifyIssueRevoke = 0x00004000, States.e_StateVerifyIssueExpire = 0x00008000, States.e_StateVerifyIssueUncheck = 0x00010000, States.e_StateVerifyIssueCurrent = 0x00020000, States.e_StateVerifyTimestampNone = 0x00040000, States.e_StateVerifyTimestampDoc = 0x00080000, States.e_StateVerifyTimestampValid = 0x00100000, States.e_StateVerifyTimestampInvalid = 0x00200000, States.e_StateVerifyTimestampExpire = 0x00400000, States.e_StateVerifyTimestampIssueUnknown = 0x00800000, States.e_StateVerifyTimestampIssueValid = 0x01000000, States.e_StateVerifyTimestampTimeBefore = 0x02000000, States.e_StateCertCannotGetVRI = 0x04000000, States.e_StateVerifyChangeLegal = 0x08000000, States.e_StateVerifyChangeIllegal = 0x10000000 }
| Enumeration for signature states. More...
Public Types inherited from foxit.pdf.interform.Field
enum | Flags { Flags.e_FlagReadOnly = 0x01, Flags.e_FlagRequired = 0x02, Flags.e_FlagNoExport = 0x04, Flags.e_FlagButtonNoToggleToOff = 0x100, Flags.e_FlagButtonRadiosInUnison = 0x200, Flags.e_FlagTextMultiline = 0x100, Flags.e_FlagTextPassword = 0x200, Flags.e_FlagTextFileSelect = 0x400, Flags.e_FlagTextNoSpellCheck = 0x800, Flags.e_FlagTextDoNotScroll = 0x1000, Flags.e_FlagTextComb = 0x2000, Flags.e_FlagComboEdit = 0x100, Flags.e_FlagChoiceMultiSelect = 0x100, Flags.e_FlagTextRichText = 0x4000, Flags.e_FlagChoiceSort = 0x200, Flags.e_FlagChoiceCommitOnSelChange = 0x400 }
| Enumeration for form field flags. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypePushButton = 1, Type.e_TypeCheckBox = 2, Type.e_TypeRadioButton = 3, Type.e_TypeComboBox = 4, Type.e_TypeListBox = 5, Type.e_TypeTextField = 6, Type.e_TypeSignature = 7 }
| Enumeration for form field type. More...

## Public Member Functions
new bool | GenerateAppearance ()
| Generate the appearance of paging seal signature. More...
void | SetAPStateBitmap (PagingSealSignature.PagingSealAPState ap_state, Bitmap bitmap)
| Set a bitmap for the appearance of signature state. More...
void | SetPagingSealConfig (PagingSealConfig paging_seal_config)
| Set the config of paging seal signature. More...
Public Member Functions inherited from foxit.pdf.Signature
| Signature (Field field)
| Constructor, with parent class object. More...
| Signature (PDFDoc document, PDFDictionary sig_field_dict)
| Constructor, from signature field dictionary. More...
bool | ClearSignedData ()
| Clear the data and appearance if current signature is singed and verified valid. More...
void | EnableEmbedFont (bool enable_embed_font)
| Enable or disable embed font. More...
void | EnableIncrementalSaveForFirstSigning (bool enable_incremental_save)
| Enable or disable incremental save for first signing. User should call this function before calling function Signature.StartSign . Default: false. More...
bool | GenerateAppearance ()
| Generate the appearance of unsigned signature. More...
int | GetAppearanceFlags ()
| Get signature appearance flags. More...
Bitmap | GetBitmap ()
| Get a bitmap which is used for the signature appearance. More...
bool | GetByteRangeArray (int[] out_byte_range_array)
| Get the byte ranges data, including 4 elements. More...
string | GetCert (int index)
| Get a certificate from current signature's certificate chain by index. More...
int | GetCertCount ()
| Get the count of certificates in current signature's certificate chain. More...
string | GetCertificateInfo (string key)
| Get certificate information. More...
Signature.DocPermission | GetDocPermission ()
| Get document permission for current signature. More...
PDFDoc | GetDocument ()
| Get the PDF document, which current signature belongs to. More...
Signature.FieldMDPAction | GetFieldMDPAction ()
| Get FieldMDP("MDP" means modification detection and prevention) action type. More...
WStringArray | GetFieldMDPActionFields ()
| Get the field name array which is used for FieldMDP action. More...
string | GetFilter ()
| Get filter. More...
string | GetKeyLabel (Signature.LabelName label_name)
| Get the string for specified key label. More...
string | GetKeyValue (Signature.KeyName key)
| Get the string value for specified key name. More...
Signature.PAdESLevel | GetPAdESLevel ()
| Get PAdES level. More...
SignatureArray | GetPagingSealGroupElements ()
| Get the group elements of current paging seal signature. More...
PagingSealSignature | GetPagingSealSignature ()
| Get the paging seal signature. More...
PDFDictionary | GetSignatureDict ()
| Get signature dictionary. More...
Signature.SignatureType | GetSignatureType ()
| Get signature type. More...
PDFDoc | GetSignedVersionDocument (string file_path)
| Get the PDF document in the signed version in which current signature was signed. More...
DateTime | GetSignTime ()
| Get time of signing. More...
uint | GetState ()
| Get current state. More...
string | GetSubFilter ()
| Get sub filter. More...
new bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsSigned ()
| Check whether current signature is signed or not. More...
bool | IsTimeStamp ()
| Check if current signature is a time stamp signature. More...
void | SetAppearanceContent (string appearance_content)
| Set customized appearance content (as low level drawing operation commands) for signed signature appearance. More...
void | SetAppearanceFlags (int appearance_flags)
| Set signature appearance flags. More...
void | SetBitmap (Bitmap bitmap)
| Set a bitmap for the signature appearance. More...
void | SetCertChain (WStringArray cert_chain)
| Set a certificate chain. More...
void | SetCustomObject (string key, PDFObject pdf_object)
| Set custom PDF object for signature dictionary. More...
void | SetDefaultContentsLength (int default_length)
| Set the default length of signature contents which represents signature value (known as signed data). More...
void | SetDocPermission (Signature.DocPermission permission)
| Set document permission for current signature. More...
void | SetFieldMDPActionFields (Signature.FieldMDPAction action, WStringArray field_array)
| Set FieldMDP("MDP" means modification detection and prevention) action names array. More...
void | SetFilter (string filter)
| Set filter. More...
void | SetImage (Image image, int frame_index)
| Set an image for the signature appearance, with a specified frame index. More...
void | SetImage (string file_path, int frame_index)
| Set an image for the signature appearance, with a specified frame index. More...
void | SetKeyLabel (Signature.LabelName label_name, string label_value)
| Set the string for specified key label. More...
void | SetKeyValue (Signature.KeyName key, string value)
| Set the string value for specified key name. More...
void | SetSignTime (DateTime sign_time)
| Set time of signing. More...
void | SetSubFilter (string sub_filter)
| Set sub filter. More...
Progressive | StartSign (string cert_path, byte[] cert_password, Signature.DigestAlgorithm digest_algorithm, string save_path, global::System.IntPtr client_data, PauseCallback pause)
| Start signing current signature if current signature is unsigned. More...
Progressive | StartSign (StreamCallback cert_file_stream, byte[] cert_password, Signature.DigestAlgorithm digest_algorithm, string save_path, global::System.IntPtr client_data, PauseCallback pause)
| Start signing current signature if current signature is unsigned. More...
Progressive | StartSign (string cert_path, byte[] cert_password, Signature.DigestAlgorithm digest_algorithm, StreamCallback stream_callback, global::System.IntPtr client_data, PauseCallback pause)
| Start signing current signature if current signature is unsigned. More...
Progressive | StartSign (StreamCallback cert_file_stream, byte[] cert_password, Signature.DigestAlgorithm digest_algorithm, StreamCallback stream_callback, global::System.IntPtr client_data, PauseCallback pause)
| Start signing current signature if current signature is unsigned. More...
Progressive | StartVerify (global::System.IntPtr client_data, PauseCallback pause)
| Start verifying the intergrity of current signature if current signature is signed. More...
Public Member Functions inherited from foxit.pdf.interform.Field
| Field (PDFDoc document, PDFDictionary field_dict)
| Constructor, from field dictionary. More...
| Field (Field field)
| Constructor, with another form field object. More...
Alignment | GetAlignment ()
| Get the alignment value. More...
string | GetAlternateName ()
| Get alternate name. More...
Control | GetControl (int index)
| Get a form control by index. More...
Control | GetControl (PDFPage page, int index)
| Get a form control by index, in a specified PDF page. More...
int | GetControlCount ()
| Get count of form controls. More...
int | GetControlCount (PDFPage page)
| Get count of form controls in a specified PDF page. More...
DefaultAppearance | GetDefaultAppearance ()
| Get the default appearance data. More...
string | GetDefaultValue ()
| Get default value. More...
PDFObject | GetDefaultValueObj ()
| Get the PDF object of field's default value. More...
PDFDictionary | GetDict ()
| Get the PDF dictionary of current object. More...
int | GetFlags ()
| Get field flags. More...
PDFObject | GetInheritedAttribute (string attribute_name)
| Get the PDF object for specified attribute which may be inherited from the ancestor node in the field tree. More...
string | GetMappingName ()
| Get mapping name. More...
int | GetMaxLength ()
| Get maximum length of the field's text, in characters. More...
string | GetName ()
| Get field name. More...
ChoiceOptionArray | GetOptions ()
| Get options of list box or combo box. More...
int | GetTopVisibleIndex ()
| Get top index of option for scrollable list boxes. More...
Field.Type | GetType ()
| Get field type. More...
string | GetValue ()
| Get value. More...
PDFObject | GetValueObj ()
| Get the PDF object of field's value. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | Reset ()
| Reset data in current field to its default value. (Not support signature field) More...
void | SetAlignment (Alignment alignment)
| Set alignment property of a form, as a document-wide default value. (Not support signature field) More...
void | SetAlternateName (string alternate_name)
| Set alternate name. (Not support signature field) More...
void | SetDefaultAppearance (DefaultAppearance default_ap)
| Set default appearance data. More...
void | SetDefaultValue (string value)
| Set default value. More...
void | SetFlags (int flags)
| Set field flags. More...
void | SetMappingName (string name)
| Set mapping name. (Not support signature field) More...
void | SetMaxLength (int max_length)
| Set maximum length of the field's text, in characters. More...
void | SetOptions (ChoiceOptionArray option_array)
| Set options of list box or combo box. More...
void | SetTopVisibleIndex (int index)
| Set top index for scrollable list boxes. More...
void | SetValue (string value)
| Set value. More...

## Detailed Description

This class represents a paging seal signature object for signing the signatures. It is a type of signature field, so class PagingSealSignature is derived from class foxit.pdf.Signature . A new paging seal signature object would be returned by function PDFDoc.AddPagingSealSignature , instead of PDFPage.AddSignature .
A paging seal signature contains a few signatures or a few paging seal annotation. To set the configuration of paging seal signature, please use the function PagingSealSignature.SetPagingSealConfig .

## Member Enumeration Documentation

## ◆ PagingSealAPState

enum foxit.pdf.PagingSealSignature.PagingSealAPState
| strong

Enumeration for paging seal signature state to set appearance.

Values of this enumeration should be used alone.

Enumerator
e_PagingSealAPStateUnknown | Unknown signature.
e_PagingSealAPStateUnsigned | Unsigned signature.
e_PagingSealAPStateSigned | Signed signature.
e_PagingSealAPStateValid | Verification state of a signature is valid.
e_PagingSealAPStateInvalid | Verification state of a signature is invalid.

## Member Function Documentation

## ◆ GenerateAppearance()

new bool foxit.pdf.PagingSealSignature.GenerateAppearance | ( |  | ) |
| inline

Generate the appearance of paging seal signature.

This function should be called before signing and the paging seal config should be set already. If this function is not called, the page will not display the paging seal signatures.

Returns
  true means success, while false means failure.

## ◆ SetAPStateBitmap()

void foxit.pdf.PagingSealSignature.SetAPStateBitmap | ( | PagingSealSignature.PagingSealAPState | ap_state,
|  | Bitmap | bitmap
| ) |  |
| inline

Set a bitmap for the appearance of signature state.

If user wants the setting by this function has effect on paging seal signatures' appearance, please call function PagingSealSignature::GenerateAppearence after this function.

Parameters

  [in] | ap_state | The state of signature.
  [in] | bitmap | A bitmap to be set to the appearance.

Returns
  None.

## ◆ SetPagingSealConfig()

void foxit.pdf.PagingSealSignature.SetPagingSealConfig | ( | PagingSealConfig | paging_seal_config | ) |
| inline

Set the config of paging seal signature.

Parameters

  [in] | paging_seal_config | A paging seal configuration to be set.

Returns
  None.